#include <bits/stdc++.h>

using namespace std;

int brojNovcanica(int br)
{
    switch(br)  /// br iz skupa 1 2 5
    {
        case 0: return 0; /// za 0 treba o novcanica
            break;

        case 1: return 1; /// za 1 treba 1 jer ima novcanica od 1
            break;

        case 2: return 1; /// za 2 treba 1 nocanica jer postoji novcanica od 2
            break;

        case 3: return 2; /// za 3 treba 2 jer je 3 = 2 + 1
            break;

        case 4: return 2; /// za 4 treba 2 jer je 4 = 2+2
            break;

        case 5: return 1; /// za 5 treba 1 jer ima novcanica od 5
            break;

        case 6: return 2; /// za 6 treba 2 jer je 6 = 5 + 1
            break;

        case 7: return 2; /// za 7 treba 2 jer je 7 = 5 + 2
            break;

        case 8: return 3; /// za 8 treba 3 jer je 8 = 5 + 2 + 1
            break;

        case 9: return 3; /// za 9 treba 3 jer je 9 = 5 + 2 + 2
            break;

        default:
            return -1;
            break;
    }
}

long long resiZadatak(long long br)
{
    long long suma = 0;

    while(br > 0)
    {
        int c = br%10;
        suma += brojNovcanica(c);
        br/=10;
    }

    return suma;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    long long V;
    cin>>V;

    long long res = resiZadatak(V);

    cout<<res;

    return 0;
}